diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/type-traits.h ns-3.44/src/core/model/type-traits.h
--- ns-3.43/src/core/model/type-traits.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/type-traits.h	2025-03-09 16:55:49.363371100 -0700
@@ -12,8 +12,8 @@
 #include "ptr.h"
 
 /**
- *  \file
- *  \ingroup object
+ *  @file
+ *  @ingroup object
  *  ns3::TypeTraits introspection declaration and template implementation.
  */
 
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup object
+ * @ingroup object
  *  Inspect a type to deduce its features.
- *  \tparam T \deduced The type to inspect.
+ *  @tparam T \deduced The type to inspect.
  */
 template <typename T>
 struct NS_DEPRECATED_3_43("Use functions provided by #include <type_traits>") TypeTraits
@@ -36,7 +36,7 @@
 
     /**
      *  Not a const type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct UnConst
@@ -46,7 +46,7 @@
 
     /**
      *  Const type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct UnConst<const U>
@@ -56,7 +56,7 @@
 
     /**
      *  Not a reference type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct ReferenceTraits
@@ -72,7 +72,7 @@
 
     /**
      *  Reference type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct ReferenceTraits<U&>
@@ -88,7 +88,7 @@
 
     /**
      *  Not a pointer type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct PointerTraits
@@ -105,7 +105,7 @@
 
     /**
      *  Pointer type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct PointerTraits<U*>
@@ -122,7 +122,7 @@
 
     /**
      *  Ptr type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct PointerTraits<ns3::Ptr<U>>
@@ -139,7 +139,7 @@
 
     /**
      * Base type, after removing \c &, \c * and \c const.
-     * \tparam U \deduced The type being inspected.
+     * @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct Base
@@ -149,7 +149,7 @@
 
     /**
      * Base type, after removing \c &.
-     * \tparam U \deduced The type being inspected.
+     * @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct Base<U&>
@@ -159,7 +159,7 @@
 
     /**
      * Base type, after removing \c *.
-     * \tparam U \deduced The type being inspected.
+     * @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct Base<U*>
@@ -169,7 +169,7 @@
 
     /**
      * Base type, after removing \c const.
-     * \tparam U \deduced The type being inspected.
+     * @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct Base<const U>
@@ -179,7 +179,7 @@
 
     /**
      * Base type of a Ptr.
-     * \tparam U \deduced The type being inspected.
+     * @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct PtrBase
@@ -189,7 +189,7 @@
 
     /**
      * Base type of a Ptr.
-     * \tparam U \deduced The type being inspected.
+     * @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct PtrBase<ns3::Ptr<U>>
@@ -199,7 +199,7 @@
 
     /**
      *  Not a function pointer type.
-     *  \tparam U \deduced The type being inspected.
+     *  @tparam U \deduced The type being inspected.
      */
     template <typename U>
     struct FunctionPtrTraits
@@ -215,7 +215,7 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
+     *  @tparam U \deduced Return type.
      */
     template <typename U>
     struct FunctionPtrTraits<U (*)()>
@@ -236,8 +236,8 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
-     *  \tparam V1 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V1 \deduced Argument type.
      */
     template <typename U, typename V1>
     struct FunctionPtrTraits<U (*)(V1)>
@@ -259,9 +259,9 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
-     *  \tparam V1 \deduced Argument type.
-     *  \tparam V2 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V1 \deduced Argument type.
+     *  @tparam V2 \deduced Argument type.
      */
     template <typename U, typename V1, typename V2>
     struct FunctionPtrTraits<U (*)(V1, V2)>
@@ -284,10 +284,10 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
-     *  \tparam V1 \deduced Argument type.
-     *  \tparam V2 \deduced Argument type.
-     *  \tparam V3 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V1 \deduced Argument type.
+     *  @tparam V2 \deduced Argument type.
+     *  @tparam V3 \deduced Argument type.
      */
     template <typename U, typename V1, typename V2, typename V3>
     struct FunctionPtrTraits<U (*)(V1, V2, V3)>
@@ -311,11 +311,11 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
-     *  \tparam V1 \deduced Argument type.
-     *  \tparam V2 \deduced Argument type.
-     *  \tparam V3 \deduced Argument type.
-     *  \tparam V4 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V1 \deduced Argument type.
+     *  @tparam V2 \deduced Argument type.
+     *  @tparam V3 \deduced Argument type.
+     *  @tparam V4 \deduced Argument type.
      */
     template <typename U, typename V1, typename V2, typename V3, typename V4>
     struct FunctionPtrTraits<U (*)(V1, V2, V3, V4)>
@@ -340,12 +340,12 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
-     *  \tparam V1 \deduced Argument type.
-     *  \tparam V2 \deduced Argument type.
-     *  \tparam V3 \deduced Argument type.
-     *  \tparam V4 \deduced Argument type.
-     *  \tparam V5 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V1 \deduced Argument type.
+     *  @tparam V2 \deduced Argument type.
+     *  @tparam V3 \deduced Argument type.
+     *  @tparam V4 \deduced Argument type.
+     *  @tparam V5 \deduced Argument type.
      */
     template <typename U, typename V1, typename V2, typename V3, typename V4, typename V5>
     struct FunctionPtrTraits<U (*)(V1, V2, V3, V4, V5)>
@@ -371,13 +371,13 @@
 
     /**
      *  Function pointer type.
-     *  \tparam U \deduced Return type.
-     *  \tparam V1 \deduced Argument type.
-     *  \tparam V2 \deduced Argument type.
-     *  \tparam V3 \deduced Argument type.
-     *  \tparam V4 \deduced Argument type.
-     *  \tparam V5 \deduced Argument type.
-     *  \tparam V6 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V1 \deduced Argument type.
+     *  @tparam V2 \deduced Argument type.
+     *  @tparam V3 \deduced Argument type.
+     *  @tparam V4 \deduced Argument type.
+     *  @tparam V5 \deduced Argument type.
+     *  @tparam V6 \deduced Argument type.
      */
     template <typename U,
               typename V1,
@@ -410,7 +410,7 @@
 
     /**
      *  Not a pointer to member type.
-     *  \tparam U \deduced Return type.
+     *  @tparam U \deduced Return type.
      */
     template <typename U>
     struct PtrToMemberTraits
@@ -424,8 +424,8 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
      */
     template <typename U, typename V>
     struct PtrToMemberTraits<U (V::*)()>
@@ -446,8 +446,8 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
      */
     template <typename U, typename V>
     struct PtrToMemberTraits<U (V::*)() const>
@@ -468,9 +468,9 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
      */
     template <typename U, typename V, typename W1>
     struct PtrToMemberTraits<U (V::*)(W1)>
@@ -492,9 +492,9 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
      */
     template <typename U, typename V, typename W1>
     struct PtrToMemberTraits<U (V::*)(W1) const>
@@ -516,10 +516,10 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
      */
     template <typename U, typename V, typename W1, typename W2>
     struct PtrToMemberTraits<U (V::*)(W1, W2)>
@@ -542,10 +542,10 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
      */
     template <typename U, typename V, typename W1, typename W2>
     struct PtrToMemberTraits<U (V::*)(W1, W2) const>
@@ -568,11 +568,11 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
      */
     template <typename U, typename V, typename W1, typename W2, typename W3>
     struct PtrToMemberTraits<U (V::*)(W1, W2, W3)>
@@ -596,11 +596,11 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
      */
     template <typename U, typename V, typename W1, typename W2, typename W3>
     struct PtrToMemberTraits<U (V::*)(W1, W2, W3) const>
@@ -624,12 +624,12 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
-     *  \tparam W4 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
+     *  @tparam W4 \deduced Argument type.
      */
     template <typename U, typename V, typename W1, typename W2, typename W3, typename W4>
     struct PtrToMemberTraits<U (V::*)(W1, W2, W3, W4)>
@@ -654,12 +654,12 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
-     *  \tparam W4 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
+     *  @tparam W4 \deduced Argument type.
      */
     template <typename U, typename V, typename W1, typename W2, typename W3, typename W4>
     struct PtrToMemberTraits<U (V::*)(W1, W2, W3, W4) const>
@@ -684,13 +684,13 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
-     *  \tparam W4 \deduced Argument type.
-     *  \tparam W5 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
+     *  @tparam W4 \deduced Argument type.
+     *  @tparam W5 \deduced Argument type.
      */
     template <typename U,
               typename V,
@@ -722,13 +722,13 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
-     *  \tparam W4 \deduced Argument type.
-     *  \tparam W5 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
+     *  @tparam W4 \deduced Argument type.
+     *  @tparam W5 \deduced Argument type.
      */
     template <typename U,
               typename V,
@@ -760,14 +760,14 @@
 
     /**
      *  Pointer to member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
-     *  \tparam W4 \deduced Argument type.
-     *  \tparam W5 \deduced Argument type.
-     *  \tparam W6 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
+     *  @tparam W4 \deduced Argument type.
+     *  @tparam W5 \deduced Argument type.
+     *  @tparam W6 \deduced Argument type.
      */
     template <typename U,
               typename V,
@@ -801,14 +801,14 @@
 
     /**
      *  Pointer to const member function.
-     *  \tparam U \deduced Return type.
-     *  \tparam V \deduced Class type.
-     *  \tparam W1 \deduced Argument type.
-     *  \tparam W2 \deduced Argument type.
-     *  \tparam W3 \deduced Argument type.
-     *  \tparam W4 \deduced Argument type.
-     *  \tparam W5 \deduced Argument type.
-     *  \tparam W6 \deduced Argument type.
+     *  @tparam U \deduced Return type.
+     *  @tparam V \deduced Class type.
+     *  @tparam W1 \deduced Argument type.
+     *  @tparam W2 \deduced Argument type.
+     *  @tparam W3 \deduced Argument type.
+     *  @tparam W4 \deduced Argument type.
+     *  @tparam W5 \deduced Argument type.
+     *  @tparam W6 \deduced Argument type.
      */
     template <typename U,
               typename V,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/uinteger.cc ns-3.44/src/core/model/uinteger.cc
--- ns-3.43/src/core/model/uinteger.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/uinteger.cc	2025-03-09 16:55:49.363371100 -0700
@@ -13,8 +13,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup attribute_Uinteger
+ * @file
+ * @ingroup attribute_Uinteger
  * ns3::UintegerValue attribute value implementations.
  */
 
@@ -29,13 +29,13 @@
 {
 
 /**
- * \ingroup attribute_Uinteger
+ * @ingroup attribute_Uinteger
  * Make an Uinteger attribute checker with embedded numeric type name.
  *
- * \param [in] min The minimum allowed value.
- * \param [in] max The maximum allowed value.
- * \param [in] name The original type name ("uint8_t", "uint16_t", _etc_.).
- * \returns The AttributeChecker.
+ * @param [in] min The minimum allowed value.
+ * @param [in] max The maximum allowed value.
+ * @param [in] name The original type name ("uint8_t", "uint16_t", _etc_.).
+ * @returns The AttributeChecker.
  */
 Ptr<const AttributeChecker>
 MakeUintegerChecker(uint64_t min, uint64_t max, std::string name)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/uinteger.h ns-3.44/src/core/model/uinteger.h
--- ns-3.43/src/core/model/uinteger.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/uinteger.h	2025-03-09 16:55:49.363371100 -0700
@@ -15,8 +15,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup attribute_Uinteger
+ * @file
+ * @ingroup attribute_Uinteger
  * ns3::UintegerValue attribute value declarations and template implementations.
  */
 
@@ -42,9 +42,9 @@
  *
  * The minimum value is included in the allowed range.
  *
- * \param [in] min The minimum value.
- * \returns The AttributeChecker.
- * \see AttributeChecker
+ * @param [in] min The minimum value.
+ * @returns The AttributeChecker.
+ * @see AttributeChecker
  */
 template <typename T>
 Ptr<const AttributeChecker> MakeUintegerChecker(uint64_t min);
@@ -54,10 +54,10 @@
  *
  * The minimum and maximum values are included in the allowed range.
  *
- * \param [in] min The minimum value.
- * \param [in] max The maximum value.
- * \returns The AttributeChecker.
- * \see AttributeChecker
+ * @param [in] min The minimum value.
+ * @param [in] max The maximum value.
+ * @returns The AttributeChecker.
+ * @see AttributeChecker
  */
 template <typename T>
 Ptr<const AttributeChecker> MakeUintegerChecker(uint64_t min, uint64_t max);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/uniform-random-bit-generator.h ns-3.44/src/core/model/uniform-random-bit-generator.h
--- ns-3.43/src/core/model/uniform-random-bit-generator.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/uniform-random-bit-generator.h	2025-03-09 16:55:49.363371100 -0700
@@ -30,7 +30,7 @@
     }
 
     /**
-     * \return the ns-3 style uniform random variable
+     * @return the ns-3 style uniform random variable
      */
     Ptr<UniformRandomVariable> GetRv() const
     {
@@ -41,7 +41,7 @@
     using result_type = uint32_t;
 
     /**
-     * \return the smallest value that operator() may return
+     * @return the smallest value that operator() may return
      */
     static constexpr result_type min()
     {
@@ -49,7 +49,7 @@
     }
 
     /**
-     * \return the largest value that operator() may return
+     * @return the largest value that operator() may return
      */
     static constexpr result_type max()
     {
@@ -57,7 +57,7 @@
     }
 
     /**
-     * \return a value in the closed interval [min(), max()]
+     * @return a value in the closed interval [min(), max()]
      */
     result_type operator()()
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/unix-fd-reader.cc ns-3.44/src/core/model/unix-fd-reader.cc
--- ns-3.43/src/core/model/unix-fd-reader.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/unix-fd-reader.cc	2025-03-09 16:55:49.363371100 -0700
@@ -21,8 +21,8 @@
 #include <unistd.h> // close()
 
 /**
- * \file
- * \ingroup system
+ * @file
+ * @ingroup system
  * ns3::FdReader implementation.
  */
 
